Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 08/03/2010, à 20:14

dan_paris

GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Bonjour,
Je suis novice dans Linux et j'ai eu une maj recommandée  de 27Mio et suite à cette maj, j'ai eu ce gros probleme.

j'ai trouvé un post qui ressemble à mon cas, mais il est résolu...j'ai déjà posté des messages avant de  créer ce post..
http://forum.ubuntu-fr.org/viewtopic.php?id=363640



GNU GRUB version 1.97~beta4

Minimal BASH-like line editing is supported. For the first word, TAB lists possible command completions. Anywhere else TAB lists the possible completions of a device/filename.

j'ai suivi la procédure comme détaillé et en changeant les numéros par 5 qui correspond à ma partition linux...

sh:grub>set root=(hd0,5)
sh:grub>loopback loop0 /ubuntu/disks/root.disk
sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz
sh:grub>linux /boot/vmlinuz-2.6.31-20-generic root=/dev/sda8 loop=/ubuntu/disks/root.disk
initrd /boot/initrd.img-2.6.31-20-generic
sh:grub> boot
j'ai eu ce message de plantage
alerte! /host/ubuntu/disks/r does not exist. Dropping to  a shell !
BusyBox v1.13.3(ubuntu 1:1.13.3-1ubuntu7) built-in shell (ash)
enter 'help" for a list of built-in commands.
(initramfs)


j'ai essayé aussi ces commandes,
sh:grub>update-grub
sh:grub>grub-install /dev/sda
mais inconnu pour mon pc.... message d'erreur...
si besoin, je peux recopier le message d'erreur...

Merci de votre aide...

Hors ligne

#2 Le 08/03/2010, à 20:21

dan_paris

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

je viens de trouver ce post n° 94 du dernier doc
je vais voir si cela est va résoudre mon problème...
Le 08/02/2010, à 14:48

rédacteur:   malbo


J'AI LA SOLUTION A MON PROBLEME :
Dire que ça fait deux mois que je me fais chier avec ça (c'est moi qui ai créé le post #1 de cette discussion fleuve).
A noter que j'ai installé Ubuntu 9.10 avec Wubi sous Windows XP.
La cause de mes ennuis avec Wubi est due à un bogue du fichier C: \wubildr
qui est décrit là :
https://bugs.launchpad.net/ubuntu/+sour … mments/210
Vous le croyez ça ? Il suffit tout simplement de renommer son fichier C: \wubildr en C: \wubildr_pourri et de coller à la place le fichier wubildr proposé dans le lien pour résoudre complètement le problème.
Ce fichier wubildr peut être téléchargé directement là (c'est très léger : 78,6 Ko) :
http://launchpadlibrarian.net/36920146/wubildr

Ajouté le 10 février 2010 : il est possible que ce soit superflu mais je n'en suis pas sûr parce que ça dépend de l'installation de chacun : je vous recommande, lecteurs concernés par le Pb qui ont installé par Wubi dans Vista ou dans Windows 7 de renommer aussi en "wubildr_pourri" le fichier wubildr qui se trouve dans le dossier ubuntu dans le chemin suivant ubuntu\winboot\wubildr afin que seul le fichier téléchargé wubildr que vous aurez placé sous C: soit utilisé au démarrage. Attention ne touchez pas (et ne déplacez pas) au fichier qui a l'extension .mbr et dont le chemin est ubuntu\winboot\wubildr.mbr parce que là, ça ne démarre plus du tout si vous faites ça. En effet, j'ai constaté qu'au démarrage, Wubi parcourt les partitions du disque (en commençant par la première) à la recherche d'un fichier wubildr qui se trouverait à la racine de la partition. Donc, il vaut mieux qu'il ne le trouve qu'à un seul endroit (sous C: )

Pour que vous puissiez vérifier la chose chez vous, j'ai fait le md5sum du bon fichier et du mauvais fichier (celui que vous avez probablement puisque vous avez le problème) :
http://doc.ubuntu-fr.org/md5sum

1) Voici le md5sum du bon fichier wubildr (celui du lien) : c37450b88f986d557c1a4feca6548c89

2) Voici le md5sum du fichier pourri : 92760c3e836a0affe8ebd64fc2f195d6

à noter qu'à la date d'aujourd'hui, 8 février 2010, et c'est toujours vrai le 3 mars 2010 (voir post #98), je viens de le vérifier par curiosité : si on installe Ubuntu 9.10 avec Wubi, on est gratifié de ce fichier pourri...pas glop.

Pour ceux que ça intéresse, des explications en anglais sur la cause (moi, je ne comprends pas tout) :
http://sourceforge.net/apps/mediawiki/b … :Wubi_9.10
Edit : et un lien trouvé par nargel qui présente le Pb, la cause et donne la même solution :
http://sourceforge.net/apps/mediawiki/b … :Wubi_9.10

Dernière modification par malbo (Le 03/03/2010, à 07:21)
HP Vectra VL400 / pentium III / RAM 384 Mo / Ubuntu 9.10
MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / XP et Ubuntu 9.10
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Seven, Vista, XP et Ubuntu 9.10

Hors ligne

#3 Le 08/03/2010, à 20:26

dan_paris

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Merci  malbo
mon pc fonctionne maintenant en telechargeant le nouveau fichier comme décrit dans ton post....

J'ai été au bord du desespoir et je pensais supprimer linux sur mon pc parce que je ne suis pas assez fort en linux...
tu m'as sauvé la vie et mon travail...
Merci à ce forum...

Hors ligne

#4 Le 10/03/2010, à 13:23

pettrucci

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Bonjour à tous !!!

Tout d'abord merci à malbo pour sa réactivité à toutes les questions depuis fin 2009.

J'ai un soucis. Hier, j'ai installé une mise à jour d'une quarantaine de Mo et comme à mon habitude, je n'ai pas regardé ce qu'il mettait à jour. Aujourd'hui je rallume mon ordi et je tombe sur cette fameuse page avec

Minimal BASH-like line editing is supported. For
the first word, TAB lists possible command
completions. Anywhere else TAB lists the possible
completions of a device/filename.

J'ai alors lancé les recherches et je suis tombé sur la procédure de malbo, que j'ai réalisé, pas de soucis, ça a fonctionné, j'ai récupéré linux mais à chaque démarrage, il faut que je me tape les lignes de commande pour retrouver mon beau ubuntu.
J'ai donc téléchargé le fichier wubildr et fait la procédure décrite plus haut, mais ça ne fonctionne pas, je suis toujours obligé de me taper les lignes (je commence à les connaitre par coeur d'ailleurs !:) )
J'avais également fait les procédure "update-grub et update-grub2" mais rien n'a changé....
Pour info, j'ai supprimer les mise à jour précédente que j'avais faite et je suis revenu à la ...14.generic.

Je ne sais plus quoi faire pour pouvoir booter normalement sans taper les commandes !!!!

Hors ligne

#5 Le 31/10/2010, à 17:28

@rataclan@

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

help please !!!!

j'ai installé ubuntu network remix sous windows XP:
j'ai le choix au demarrage soit j'ouvre windows xp soit ubuntu

j'ai fait une mise a jour hier aprem de ubuntu network remix et quand j'ai voulu redemarrer mon ordi sous ubuntu il m'affiche un ecran noir avec le fameux

gnu grub version 1.7 ~beta4
[minimal bash-like line editing is supported.forthe first word, TAB lists possible completions.Anywhere else TAB lists possible device/file completions.]
sh: grub>

donc j'ai fait ce qui a de marquer ci dessus mais rien n'y fait !!!!!!
que dois je faire s'il vous plait ??????
dois-je re telecharger un nouveau grub (la meme version que celle ci) car je pense que cette passerelle virtuel qui me permet d'ouvrir ubuntu  a été supprimer suite a la nouvelle mise a jour que j'ai du faire et comme j'ai peur de faire une betise car je m'y connais pas trop en informatique donc je prefere demander conseil auprés de personnes competente ..... merci pour vos solution

j'ai aussi sur windows xp dans mon disque c:
wubildr de 79Ko et aussi wubildr.mbr de 8Ko

Dernière modification par @rataclan@ (Le 01/11/2010, à 16:43)

Hors ligne

#6 Le 26/08/2011, à 10:23

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Hey !
SVP J'ai trop besoin d'aide la ><
Alors mon problème c'est que quand j'allume mon oc tout v'as bien mais quand je dois choisir entre Windows et ubuntu bah tranquille je choisi ubuntu mais sa m'affiche sa >.< ;
GNU GRUB version 1.98+20100804-5ubuntu2

Minimal BASH-like line editing is supported.  For the first word,TAB lists possible command completions. Anywhere else TAB lists possible device or file completions.

grub>

Voila !!! S'il vous plaît reponder moi en mp sad. La je vous parles depuis mn phone. *osef* x) Mais voila quoi.
Merci!!

Hors ligne

#7 Le 26/08/2011, à 10:52

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Zek230,
Quand tu choisis ubuntu dans le menu de démarrage, est-ce que tu vois le menu Grub qui apparaît avec plusieurs lignes de choix ? Si oui, il faut essayer de démarrer sur une autre ligne que la première ligne. Explications : il y a peut-être une mise à jour du noyau faite récemment qui ne fonctionne pas bien. En choisissant une autre ligne, tu peux trouver le noyau précédent ou un noyau encore plus ancien qui fonctionnait bien. Si cette astuce ne fonctionne pas et que tu dois récupérer d'urgence des documents qui sont incarcérés dans ton Ubuntu planté, utilise cette procédure : http://doc.ubuntu-fr.org/wubi#comment_p … emarre_pas

Edit : une solution pour réparer le démarrage est présentée dans ce post : http://forum.ubuntu-fr.org/viewtopic.ph … 5#p3587985
Pour réaliser cette partie "2) tu réinstalles Ubuntu par Wubi ", tu peux installer Wubi tout par internet comme expliqué là : http://doc.ubuntu-fr.org/wubi#comment_s … ateur_wubi
Pour toi, le fichier à télécharger est celui de Ubuntu 10.10 (c'est la version que tu dois avoir dans ton PC si j'en crois la référence du Grub que tu as indiquée dans ton post : GNU GRUB version 1.98+20100804-5ubuntu2) : http://people.canonical.com/~evand/wubi … signed.exe

Dernière modification par malbo (Le 26/08/2011, à 11:30)


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#8 Le 26/08/2011, à 14:45

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Malbo,  non quand je met ubuntu sa me met direct sur le truc que j'ai marqué en haut !
Comment je peux télécharger quelques chose ? Je suis sur mon portable ! Et mon Windows né marche plus donc je fais comment ?  :\
Merci quand même pour tous !

Hors ligne

#9 Le 26/08/2011, à 14:56

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Si tu as des doc coincés là-dedans, tu peux utiliser ce lien que je t'ai déjà donné plus haut : http://doc.ubuntu-fr.org/wubi#comment_p … emarre_pas
Il faut disposer d'un support live (liveCD ou liveUSB) de Ubuntu et il faut que ton PC soit capable de démarrer sur ce support live de Ubuntu.
Pour ce qui est de réparer ton Ubuntu malade, moi je ne peux pas te conseiller sans rien voir. Si tu peux répondre à cette demande, je pourrai y voir un peu plus clair : http://forum.ubuntu-fr.org/viewtopic.php?pid=3534285


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#10 Le 26/08/2011, à 15:35

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Euh >.< j'ai pas mon cd la et jamais eu de clé USB Linux..
Moi c'que je veux c'est juste pouvoir aller sur Firefox depuis mon pc !

Hors ligne

#11 Le 26/08/2011, à 15:46

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Si tu n'as pas de doc précieux à récupérer dans ce PC, je te conseille de réinstaller Ubuntu à neuf mais sans utiliser la méthode Wubi puisque tu n'as plus Windows. C'est plutôt la méthode classique qui est à utiliser et qui est décrite là (Installation standard d'Ubuntu) : http://doc.ubuntu-fr.org/tutoriel/obtenir_cd_ubuntu
ça continue là : http://doc.ubuntu-fr.org/tutoriel/amorcer_sur_cd_ubuntu
puis là : http://doc.ubuntu-fr.org/tutoriel/insta … le_live_cd   
Et enfin là : http://doc.ubuntu-fr.org/tutoriel/compl … ion_ubuntu
Bon courage

Dernière modification par malbo (Le 26/08/2011, à 15:47)


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#12 Le 26/08/2011, à 17:15

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

J'ai retrouver mon disque !
Merci pour tout !

Hors ligne

#13 Le 26/08/2011, à 17:47

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Euh mais faut que je desinstalle ubuntu non ? Comment je fais ? x)

Hors ligne

#14 Le 26/08/2011, à 17:56

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Zek230 a écrit :

Euh mais faut que je desinstalle ubuntu non ? Comment je fais ? x)

répond à cette demande : http://forum.ubuntu-fr.org/viewtopic.php?pid=3534285
J'ai besoin d'y voir plus clair pour t'aiguiller vers une solution stable


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#15 Le 26/08/2011, à 18:16

Zek230

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Répondre a cette demande c'est a dire ?

Hors ligne

#16 Le 26/08/2011, à 20:33

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

je te demande de réaliser ce qui est écrit dans le lien que j'ai donné plus haut et de poster le résultat obtenu ( tout est expliqué dans le lien. Je ne comprends pas ce que tu ne comprends pas)


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#17 Le 17/11/2011, à 16:02

ashok13001

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Bonjour à tous
décidément la version 11.10 me créee des problèmes
1- Pour l'impression avec une Epson SX200 qui  a fonctionné correctement sous ubuntu 9.10.puis 10.04  En noir les marges du haut ne sont pas respectées, en couleur une ombre de couleur se forme sous chaque mot répétant l'impréssion.
Pour être tout à fait complet , le PC est neuf carte Gigabyte 990XA-UD3- processeur AMD 3, X6, 8Gio de mémoire, 2 DD
1 avec windows XP
l'autre avec Ubuntu ( comme je n'arrivai pas a avoir une empreinte correcte de Ubuntu 11.10 sur internet , je suis passé par la mise à jour des versions 10.10 vers la 11.04 puis vers la 11.10.
Mais sitôt l'install terminée le grub n'était pas en place j'étais obligé pour aller sur Windows de passer par F12 et de choisir le 2 eme DD  . Lorsque j'allume le PC  je n'ai pas de choix comme précédemment, me proposant soit Ubuntu soit windows .
J'ai donc  tapé sur le terminal  grub>find /boot/grub/stage1 , indications que l'on peut voir sur Gparted  pour résoudre les problèmes de Grub et depuis j'ai le message  suivant : 
Minimal BASH-like line editing is supported.   For the   first   word,  TAB  lists  possible  command completions.  Anywhere else TAB lists the possible completions of a device/filename. ]
que dois je faire , pour être honnête les commandes sur le terminal ne sont pas mon fort.
merci à tous pour votre aide

Hors ligne

#18 Le 17/11/2011, à 17:11

malbo

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

ashok13001,
Peux-tu créer une nouvelle discussion pour ton cas personnel en suivant ces indications ( 4.1 Initier une nouvelle discussion ) : http://doc.ubuntu-fr.org/tutoriel/howto … discussion
Dans cette nouvelle discussion, si tu peux donner (dès le premier post) le résultat de cette demande, ça fera gagner du temps : http://forum.ubuntu-fr.org/viewtopic.php?pid=3534285


MedionPC MT5 MED MT 162 / pentium IV / RAM 1Go / Radeon HD 3450 AGP / XP, HandyLinux et Xubuntu 14.04 32 bits
Acer Aspire M5100-5F7N / Phenom Quad Core 9500 / ATI HD 2600 pro / RAM 4 Go / Win8, XP et Ubuntu 14.04

En ligne

#19 Le 31/10/2013, à 15:13

Louloute_Rondeau

Re : GNU GRUB version 1.97~beta4 Minimal BASH-like ......

Bonjours, je possède un ordi "ordipass" qui m'a été fourni par mon lycée, il m'a été proposer de faire une mise à jour que j'ai fait mais il se trouve que mon ordi c'est éteint car il n'avais plus de batterie depuis je ne peut plus me servir de mon ordinateur car il m'affiche "Minimal BASH-like line editing is supported. For the first word, TAB lists possible command completions. Anywhere else TAb lists possible device or file completions." Mais je ne sais pas ce que je doit faire, merci de m'aider.

Hors ligne

Haut de page ↑